Clients
Update Client Finance Settings
Updates the client’s finance settings.
PUT
/
clients
/
{clientId}
/
finance-settings
Update Client Finance Settings
curl --request PUT \
--url https://api.sandbox.flowpayroll.ai/v1/billing/clients/{clientId}/finance-settings \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"defaultRevenueAccount": "<string>",
"defaultTaxRate": "<string>",
"payElementMappings": [
{
"payElementId": "<string>",
"accountCode": "<string>",
"taxType": "<string>"
}
],
"defaultDueDateDays": 123,
"defaultCurrencyCode": "<string>",
"defaultLineAmountTypes": "<string>",
"invoiceTemplateOverride": {
"showSubsectionHeader": true,
"showSubtotalInSubsection": true,
"showSubtotalVatInSubsection": true,
"showQuantitySumInSubsection": true,
"showBottomSubtotals": true,
"showVatInBottomSubtotals": true,
"showQuantitySumInBottomSubtotals": true,
"lineDescriptionFormula": "<string>",
"lineDescriptionTagGroupId": "<string>",
"includeAttachmentsWithOnlineInvoice": true
},
"creditNoteTemplateOverride": {
"showSubsectionHeader": true,
"showSubtotalInSubsection": true,
"showSubtotalVatInSubsection": true,
"showQuantitySumInSubsection": true,
"showBottomSubtotals": true,
"showVatInBottomSubtotals": true,
"showQuantitySumInBottomSubtotals": true,
"lineDescriptionFormula": "<string>",
"lineDescriptionTagGroupId": "<string>",
"includeAttachmentsWithOnlineInvoice": true
},
"invoiceReferenceFormula": "<string>",
"invoiceReferenceDateFormat": "<string>"
}
'import requests
url = "https://api.sandbox.flowpayroll.ai/v1/billing/clients/{clientId}/finance-settings"
payload = {
"defaultRevenueAccount": "<string>",
"defaultTaxRate": "<string>",
"payElementMappings": [
{
"payElementId": "<string>",
"accountCode": "<string>",
"taxType": "<string>"
}
],
"defaultDueDateDays": 123,
"defaultCurrencyCode": "<string>",
"defaultLineAmountTypes": "<string>",
"invoiceTemplateOverride": {
"showSubsectionHeader": True,
"showSubtotalInSubsection": True,
"showSubtotalVatInSubsection": True,
"showQuantitySumInSubsection": True,
"showBottomSubtotals": True,
"showVatInBottomSubtotals": True,
"showQuantitySumInBottomSubtotals": True,
"lineDescriptionFormula": "<string>",
"lineDescriptionTagGroupId": "<string>",
"includeAttachmentsWithOnlineInvoice": True
},
"creditNoteTemplateOverride": {
"showSubsectionHeader": True,
"showSubtotalInSubsection": True,
"showSubtotalVatInSubsection": True,
"showQuantitySumInSubsection": True,
"showBottomSubtotals": True,
"showVatInBottomSubtotals": True,
"showQuantitySumInBottomSubtotals": True,
"lineDescriptionFormula": "<string>",
"lineDescriptionTagGroupId": "<string>",
"includeAttachmentsWithOnlineInvoice": True
},
"invoiceReferenceFormula": "<string>",
"invoiceReferenceDateFormat": "<string>"
}
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
defaultRevenueAccount: '<string>',
defaultTaxRate: '<string>',
payElementMappings: [{payElementId: '<string>', accountCode: '<string>', taxType: '<string>'}],
defaultDueDateDays: 123,
defaultCurrencyCode: '<string>',
defaultLineAmountTypes: '<string>',
invoiceTemplateOverride: {
showSubsectionHeader: true,
showSubtotalInSubsection: true,
showSubtotalVatInSubsection: true,
showQuantitySumInSubsection: true,
showBottomSubtotals: true,
showVatInBottomSubtotals: true,
showQuantitySumInBottomSubtotals: true,
lineDescriptionFormula: '<string>',
lineDescriptionTagGroupId: '<string>',
includeAttachmentsWithOnlineInvoice: true
},
creditNoteTemplateOverride: {
showSubsectionHeader: true,
showSubtotalInSubsection: true,
showSubtotalVatInSubsection: true,
showQuantitySumInSubsection: true,
showBottomSubtotals: true,
showVatInBottomSubtotals: true,
showQuantitySumInBottomSubtotals: true,
lineDescriptionFormula: '<string>',
lineDescriptionTagGroupId: '<string>',
includeAttachmentsWithOnlineInvoice: true
},
invoiceReferenceFormula: '<string>',
invoiceReferenceDateFormat: '<string>'
})
};
fetch('https://api.sandbox.flowpayroll.ai/v1/billing/clients/{clientId}/finance-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": {
"data": {
"defaultRevenueAccount": "<string>",
"defaultTaxRate": "<string>",
"payElementMappings": [
{
"payElementId": "<string>",
"accountCode": "<string>",
"taxType": "<string>"
}
],
"defaultDueDateDays": 123,
"defaultCurrencyCode": "<string>",
"defaultLineAmountTypes": "<string>",
"invoiceTemplateOverride": {
"showSubsectionHeader": true,
"showSubtotalInSubsection": true,
"showSubtotalVatInSubsection": true,
"showQuantitySumInSubsection": true,
"showBottomSubtotals": true,
"showVatInBottomSubtotals": true,
"showQuantitySumInBottomSubtotals": true,
"lineDescriptionFormula": "<string>",
"lineDescriptionTagGroupId": "<string>",
"includeAttachmentsWithOnlineInvoice": true
},
"creditNoteTemplateOverride": {
"showSubsectionHeader": true,
"showSubtotalInSubsection": true,
"showSubtotalVatInSubsection": true,
"showQuantitySumInSubsection": true,
"showBottomSubtotals": true,
"showVatInBottomSubtotals": true,
"showQuantitySumInBottomSubtotals": true,
"lineDescriptionFormula": "<string>",
"lineDescriptionTagGroupId": "<string>",
"includeAttachmentsWithOnlineInvoice": true
},
"invoiceReferenceFormula": "<string>",
"invoiceReferenceDateFormat": "<string>"
},
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
}
},
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
},
"errors": [
{
"field": "<string>",
"reasonText": "<string>",
"reasonId": "<string>",
"reasonParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"message": {
"text": "<string>",
"textId": "<string>",
"textParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}{
"content": {
"data": "<string>",
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
}
},
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
},
"errors": [
{
"field": "<string>",
"reasonText": "<string>",
"reasonId": "<string>",
"reasonParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"message": {
"text": "<string>",
"textId": "<string>",
"textParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}{
"content": {
"data": "<string>",
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
}
},
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
},
"errors": [
{
"field": "<string>",
"reasonText": "<string>",
"reasonId": "<string>",
"reasonParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"message": {
"text": "<string>",
"textId": "<string>",
"textParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}Authorizations
Authentication token for API access
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Available options:
DaysAfterInvoiceDate, DaysAfterInvoiceMonth, OfCurrentMonth, OfFollowingMonth Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update Client Finance Settings
